unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, ExtCtrls,
  StdCtrls, fpvectorial, fpvtocanvas;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    OpenDialog1: TOpenDialog;
    PaintBox1: TPaintBox;
    procedure Button1Click(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }



procedure TForm1.Button1Click(Sender: TObject);
var
  Vec: TvVectorialDocument;
begin
  if OpenDialog1.Execute then
  begin
    Vec := TvVectorialDocument.Create;
    try
      Vec.ReadFromFile(OpenDialog1.FileName, vfSVG);

      PaintBox1.Canvas.Brush.Color := clWhite;
      PaintBox1.Canvas.Brush.Style := bsSolid;
      PaintBox1.Canvas.FillRect(0, 0, PaintBox1.Width, PaintBox1.Height);
      DrawFPVectorialToCanvas(
        Vec.GetCurrentPageAsVectorial,
        PaintBox1.Canvas,
        0,
        600,
        1.0,
        -1.0);
    finally
      Vec.Free;
    end;
  end;
end;

end.

